import http from "@/api/http.js";

/* 客户管理模块 */
const customInterence = {
	// 销售今日待办
	sellerTodayList:params=>{
		return http.get('/custom/getTryOutCompanyList',params)
	},
	// 销售待办填写续约说明
	sellerTodayListRemark:params=>{
		return http.post('/custom/editTryOutCompanyReason',params)
	},
	//销售代办中历史记录
	sellerTodayHistoryList:params=>{
		return http.get('/custom/renewReasonList',params)
	},
  //累计试用天数详情
  tryOutDeail:params=>{
    return http.get("/custom/company/tryOutDayList",params)
  },



  // 客户系统合同搜索
  contractSearch: (params) => {
    return http.get("/custom/system_contract/list", params);
  },
  // 系统合同详情
  sysContractDetail: (params) => {
    return http.get("/custom/system_contract/detail", params);
  },
  // 通过系统合同申请转正/服务更新接口
  sysCustomeApply: (params) => {
    return http.post("/custom/apply/systemContract", params);
  },

  /**
   * 获取客户大于今天的最后一份有效合同详情
   * CompanyId
   */
  lastContractInfo: (params) => {
    return http.get("/custom/company/last_contract/detail", params);
  },

  //补全客户信息
  /**
   * City
   * CompanyId	客户id
   * CompanyName
   * CreditCode
   * IndustryId	所属行业id
   * IndustryName
   * Province
   * Source		来源
   */
  completeInfo: (params) => {
    return http.post("/custom/company_info/edit", params);
  },

  //获取客户名下联系人数量（根据当前账号角色区分）
  //CompanyId 客户id
  companyUserTotal: (params) => {
    return http.get("/custom/company_user/total", params);
  },

  //获取客户申请转正的合同类型
  applyTurnContractType: (params) => {
    return http.get("/custom/apply/contract/getApplyTurnContractType", params);
  },

  //客户来源
  customerSourceList: (params) => {
    return http.get("/custom/getCompanySourceList", params);
  },

  // 获取客户名下所有销售列表
  companySellerList: (params) => {
    return http.get("/custom/getCompanySellerList", params);
  },
  // 移动联系人
  moveCustom: (params) => {
    return http.post("/custom/user/move", params);
  },

  /* 上传图片接口 file  */
  upload: (params) => {
    return http.post("/resource/image/upload", params);
  },
  /* 代办消息列表 */
  noticeList: (params) => {
    return http.get("/custom/message/listV2", params);
  },
  /* 消息已读接口 Id */
  readNotice: (params) => {
    return http.post("/custom/message/read", params);
  },
  /* 客户列表 
		PageSize * integer
		CurrentIndex * integer
		Status *string 状态：’传空字符串或者不传为全部’,’试用’,’永续’,’冻结’,’流失’,’正式’
		CompanyType *string 客户类型：传空字符串或者不传为全部,’ficc’,’权益’
		IndustryId *integer
		AdminId string 销售id，多个用英文逗号隔开，空字符串为全部
		ChartPermissionIds *string 品种id，多个用英文逗号分开，空字符串为全部
		StartDate *
		EndDate *
		KeyWord * 搜索关键词
		TryStage  试用子标签 0全部、1未分类、2 推进、3 跟踪、4 预备
	*/
  customList: (params) => {
    return http.get("/custom/list", params);
  },
  /* 获取指定权限的销售列表 */
  getSale: (params) => {
    // return http.get('/custom/seller/check/list',params)
    return http.get("/custom/seller/check/listV2", params);
  },
  /* 客户详情
		CompanyId 
	*/
  customDetail: (params) => {
    return http.get("/custom/detail", params);
  },
  /* 新增客户
		Province:	string
		City:string
		省市
		CompanyCode:	string
		客户编码
		CompanyName:	string
		客户名称
		CompanyType:	string
		客户类型，ficc,权益
		CreditCode:	string
		社会统一信用码
		IndustryId:	integer ($int64)
		所属行业id
		PermissionIds:	string
		权限id，多个用英文逗号隔开
		Reasons:	string
		新增理由
		SellsId:	integer ($int64)
		销售员id
		Source:	string
		来源
		Status:	string
		客户状态，试用,永续
	*/
  customAdd: (params) => {
    return http.post("/custom/add", params);
  },
  /* 编辑客户
	 	"City": "string",
		"CompanyId": 0,
		"CompanyName": "string",
		"CreditCode": "string",
		"Products": [
			{
				"CompanyProductId": 0,
				"CompanyType": "string",
				"IndustryId": 0,
				"IndustryName": "string",
				"PermissionIds": "string",
				"Reasons": "string",
				"SellsId": 0,
				"Source": "string",
				"Status": "string"
			}
		],
		"Province": "string"
	 */
  customEdit: (params) => {
    return http.post("/custom/edit", params);
  },
  /* 删除客户  CompanyId*/
  customDel: (params) => {
    return http.post("/custom/delete", params);
  },
  /* 新增编辑客户名称检索  KeyWord*/
  customSea: (params) => {
    return http.get("/custom/fuzzy/search", params);
  },
  /* 获取销售接口 */
  /**
   * 
   * @param {
   * SellerType - 销售类型 - 0:所有; 1:FICC; 2:权益
   * } params 
   * @returns 
   */
  saleslist: (params) => {
    return http.get("/custom/seller/list", params);
  },
  /* 联系人列表
		PageSize
		CurrentIndex
		CompanyId *integer
		KeyWord
	*/
  concactList: (params) => {
    return http.get("/custom/user/list", params);
  },
  /* 新增联系人
		DepartmentName
		BusinessCardUrl:	string名片地址
		CompanyId:	integer ($int64)客户id
		Email:	string邮箱
		IsMaker:	integer ($int64) 是否决策人，1:是，0:否
		MobileOne:	string手机号1
		MobileTwo:	string手机号2
		Position:	string职位
		RealName:	string姓名
		Sex:	integer ($int64)用户性别，1为男性，2为女性
	*/
  concactAdd: (params) => {
    return http.post("/custom/user/add", params);
  },
  /* 删除联系人  UserId int*/
  concactDel: (params) => {
    return http.post("/custom/user/delete", params);
  },
  /* 编辑联系人
		DepartmentName
		"BusinessCardUrl": "string",
		"CompanyId": 0,
		"Email": "string",
		"IsMaker": 0,
		"MobileOne": "string",
		"MobileTwo": "string",
		"Position": "string",
		"RealName": "string",
		"Sex": 0,
		"UserId": 0
	 */
  concactEdit: (params) => {
    return http.post("/custom/user/edit", params);
  },
  /* 获取权限基本信息 */
  authList: (params) => {
    return http.get("/custom/permission/list", params);
  },
  /* 查看权限  CompanyId */
  lookauth: (params) => {
    return http.get("/custom/permission/look", params);
  },
  /* 根据客户类型获取行业列表接口 
		Classify string
	*/
  getindustry: (params) => {
    return http.get("/custom/industry/list", params);
  },
  /* 
		品种列表 客户列表筛选

	*/
  getvariety: (params) => {
    return http.get("/custom/permission/variety", params);
  },

  /* 客户检索列表 
		KeyWord 
	*/
  searchList: (params) => {
    return http.get("/custom/search/list", params);
  },

  /* 潜在用户列表
		PageSize *	每页数据条数
		CurrentIndex *
		ApplyMethod *	int 申请方式，0：全部，1:未申请，2:已付费客户申请试用，3:非客户申请试用
		KeyWord *
	*/
  potentialList: (params) => {
    return http.get("/custom/potential/user/list", params);
  },
  /* 获取试用用户列表 */
  trialList: (params) => {
    console.log(params);
    return http.get("/custom/official/user/list", params);
    // return http.get('/api/adminapi/custom/official/user/list?PageSize=10&CurrentIndex=1&SourceType=中文官网', params)
  },
  /* 试用用户确认已处理接口 */
  trialStatus: (params) => {
    console.log(params);
    return http.post("/custom/official/user/confirm", params);
  },
  /* 搜索公司 KeyWord  */
  companySearch: (params) => {
    return http.get("/custom/potential/company/search", params);
  },
  /* 搜索公司qcc KeyWord  */
  companyQccSearch: (params) => {
    return http.get("/custom/potential/company/qccSearch", params);
  },
  /* 检查公司名称或是信用码 CompanyName CreditCode */
  checkCompany: (params) => {
    return http.get("/custom/check/companyInfo", params);
  },
  /* 检查公司名称或是信用码 CompanyName CreditCode */
  checkCompanyInfo: (params) => {
    return http.get("/custom/check/RepeatCompanyInfo", params);
  },
  /* 移动潜在用户
		"BusinessCardUrl":string名片地址
		"CompanyId": int,
		"DepartmentName":string联系人部门
		"Email": "string",
		"IsMaker":int是否决策人，1:是，0:否
		"Mobile": "string",
		"Position":	string职位
		"RegionType":string 区域，枚举值：国内、海外
		"RealName": "string",
		"Remark": "string",
		"SellerId":int 需要移动到的销售id
		"Sex":int 用户性别，1为男性，2为女性
		"UserId": int
	*/
  moveUser: (params) => {
    return http.post("/custom/potential/user/move", params);
  },
  /* 删除潜在用户
		"UserId": int
	*/
  potentialDel: (params) => {
    return http.post("/custom/potential/user/delete", params);
  },

  //给用户打标记
  potentialDeal: (params) => {
    return http.post("/custom/potential/user/deal", params);
  },

  /* 客户创建周期
		CompanyId int
	*/
  processList: (params) => {
    return http.get("/custom/process/list", params);
  },
  /* 服务更新 历史签约列表 CompanyId  CompanyType */
  historydeal: (params) => {
    return http.get("/custom/apply/contract/history/list", params);
  },
  /* 服务更新 
		"CompanyId": 0,
		"CompanyType": "string",
		"EndDate": "string",
		"ImgUrl": "string",
		"Money": 0,
		"PayChannel": "string",
		"PayMethod": "string",
		"PermissionIds": "string",
		"StartDate": "string"
	*/
  Update: (params) => {
    return http.post("/custom/apply/service/update", params);
  },
  /* 冻结客户   
	"CompanyId": 0,
  "CompanyType":*/
  Freez: (params) => {
    return http.post("/custom/freeze", params);
  },
  /* 申请转正
		"CompanyId": 0,
		"EndDate": "string",
		"ImgUrl": "string",
		"Money": 0,
		"PayChannel": "string",
		"PayMethod": "string",
		"PermissionIds": "string",
		"StartDate": "string"
	 */
  applyTurn: (params) => {
    return http.post("/custom/apply/turn/positive", params);
  },
  /* 申请延期
	 "ApplyRemark": "string",
	  "CompanyId": 0
	  CompanyApprovalId
	  PermissionIds
	*/
  applyDelay: (params) => {
    return http.post("/custom/apply/delay", params);
  },
  /* 申请领取 
		"ApplyRemark": "string",
  		"CompanyId": 0
	*/
  applyPick: (params) => {
    return http.post("/custom/apply/receive", params);
  },
  /* 申请解冻
		"ApplyRemark": "string",
  		"CompanyId": 0
	*/
  applyThaw: (params) => {
    return http.post("/custom/apply/thaw", params);
  },
  /* 修改所属销售  "CompanyId": 0,"SellsId": 0*/
  moveSale: (params) => {
    return http.post("/custom/move/seller", params);
  },
  /* 暂停/启用 CompanyId */
  Suspend: (params) => {
    return http.post("/custom/suspend", params);
  },
  /* 领取列表
		PageSize *
		CurrentIndex *
		IndustryId 行业id，0为全部
		ChartPermissionIds 
		StartDate *
		EndDate *
		KeyWord *
	*/
  pickList: (params) => {
    return http.get("/custom/receive/list", params);
  },
  /* 领取客户  ——领取列表
		"CompanyId": 0,
		"IndustryId": 0,
		"PermissionIds": "string",
		"Reasons": "string",
		"SellsId": 0,
		"Source": "string",
		"Status": "string"
		CompanyType
	*/
  Pick: (params) => {
    return http.post("/custom/receive", params);
  },
  /* 设置共享/取消共享
		CompanyId
		IsShare 0-取消共享 1-共享
	*/
  setCustomShare: (params) => {
    return http.post("/custom/share", params);
  },
  /**
   * 正式客户共享
   */

  /**
   * 获取 共享客户组 里面的销售列表
   */
  salesShareList: (params) => {
    return http.get("/custom/seller/share/list", params);
  },
  /**
   * 获取 共享客户列表
   * SortParam 排序字段
   * SortType 排序类型 `asc 正序`,`desc 倒叙`
   * PageSize CurrentIndex 
   * SellerId 选择的销售id
   * Keyword 
   * ListParam 0:全部 、 1:已分配 、 2:未分配
   * 
   */
  getShareCustomList: (params) => {
    return http.get("/custom/share/list", params);
  },
  /**
   * 共享客户列表 - 分配销售
   * CompanyId 公司Id
   * SellsId 销售Id
   * 
   */
    assignShareSeller: (params) => {
      return http.post("/custom/share/moveSeller", params);
    },
    /**
     * 新增服务记录
     * CompanyId 公司Id
     * Content 服务描述
     */
    addRecord:(params)=>{
        return http.post("/custom/service_record/add",params)
    },
    /**
     * 服务记录列表
     * CompanyId 公司Id
     */
    getRecordList:(params)=>{
        return http.get("/custom/service_record/list",params)
    },
    /**
     * 删除服务记录
     * CompanyServiceRecordId 服务记录id
     */
    deleteRecord:(params)=>{
        return http.post("/custom/service_record/del",params)
    },
    /**
     * 正式客户共享-添加备注
     * CompanyId
     * Remark 
     */
    addCustomRemark:(params)=>{
        return http.post("/custom/share/remark/add",params)
    },
  /* 审批列表
		PageSize *
		CurrentIndex *
		Status *
		KeyWord *
	*/
  approvalList: (params) => {
    return http.get("/custom/approval/listV2", params);
  },
  /* 审批
	  "CompanyId": 0,
		"Remark": "string",
		"Status": 0
	 */
  Approval: (params) => {
    return http.post("/custom/approval/approve", params);
  },
  /* 撤回 CompanyId*/
  Revoke: (params) => {
    return http.post("/custom/apply/revoke", params);
  },
  /* 删除审批单 CompanyApprovalId CompanyId */
  approvalDel: (params) => {
    return http.post("/custom/approval/delete", params);
  },
  /* 审批页面详情
		CompanyId * *
	*/
  approvalDetail: (params) => {
    return http.get("/custom/apply/contract/detail", params);
  },
  /* 重新申请合同详情 */
  reapplyDetail: (params) => {
    return http.get("/custom/apply/contract", params);
  },
  /* 阅读报告记录  UserId*/
  readList: (params) => {
    return http.get("/custom/view/report/list", params);
  },
  /* 获取导入联系人列表 File CompanyId*/
  getimportList: (params) => {
    return http.post("/custom/import/list", params);
  },
  /* 导入联系人 File  CompanyId*/
  importUser: (params) => {
    return http.post("/custom/import", params);
  },
  /* 增加试用 "ChartPermissionId" "CompanyId"*/
  addTryout: (params) => {
    return http.post("/custom/permission/add/try/out", params);
  },
  /* 申请解冻 申请领取权限列表 */
  allAuth: (params) => {
    return http.get("/custom/getCompanyPermission", params);
  },
  /**
   * 获取审批单中的权限列表
   * @param {ApprovalId } params 审批单id
   * @returns
   */
  approvalPermission: (params) => {
    return http.get("/custom/approval/getApprovalPermissionList", params);
  },
  /**
   * 查看客户权限接口(主观客观)
   * @param {CompanyId } params 客户id
   * @param {LookType } params 调用类型：1增开试用，0其他
   * @returns
   */
  permissionLookSando: (params) => {
    return http.get("/custom/permission/lookSando", params);
  },
  // 获取联系人配置图库权限详情
  chartPermissionInfo: (params) => {
    return http.get("/custom/user/getChartClassifyPermissionDetail", params);
  },

  // 联系人图库权限设置
  chartPermissionSet: (params) => {
    return http.post("/custom/user/addChartClassifyPermission", params);
  },

  // 联系人图库权限编辑
  chartPermissionEdit: (params) => {
    return http.post("/custom/user/editChartClassifyPermission", params);
  },
  // 销售待办添加未续约说明
  sellerAddListRemark: (params) => {
    return http.post("/custom/addTryOutCompanyReason", params);
  },
  // 正式转试用添加说明
  addTryOutRenewalReason: (params) => {
    return http.post("/custom/addRenewalReason", params);
  },
  // 导出
  companyExportList: (params) => {
    return http.get("/cygx/company/exportList", params);
  },

  /* 查看备注 */
  lookRemarkAuth: (params) => {
    return http.get("/custom/remark", params);
  },
  /* 新增备注 */
  lookRemarkAuthAdd: (params) => {
    return http.post("/custom/remark/add", params);
  },
  //路演的弹框
  roadShowList: (params) => {
    return http.get("/custom/roadShowList", params);
  },
  /**
   * 销售ToDo
   */
  //新建任务
  addToDoItem: (params) => {
    return http.post("/custom/company_todo/add", params);
  },
  //编辑任务
  editToDoItem: (params) => {
    return http.post("/custom/company_todo/edit", params);
  },
  //正在进行的任务
  getToDoItem: (params) => {
    return http.get("custom/company_todo/edit_list", params);
  },
  //历史记录
  getHistory: (params) => {
    return http.get("/custom/company_todo/list", params);
  },
  //确认完成
  checkToDo: (params) => {
    return http.post("/custom/company_todo/approve", params);
  },

  // 设置试用子标签
  // "CompanyId":6802,"ProductId":1, "TryStage": 2
  setTrialTag: (params) => {
    return http.post("/custom/update/tryStage", params);
  },

  /**
   * 销售添加客户管理
   */
  //销售分组列表
  getSales: (params) => {
    return http.get("/custom/receive/seller/group", params);
  },
  //销售列表
  getSalesData: (params) => {
    return http.get("/custom/receive/seller", params);
  },
  //启用/禁用权限
  changeSaleAuth: (params) => {
    return http.post("/custom/receive/permission/change", params);
  },
  
  /**
   * 分产品阅读统计
   */
  /*
    用户阅读统计:
    UserId:联系人ID;ClickSort:点击量排序：1-升序 2-降序
    CurrentIndex,pageSize
  */
  getYbProductReadInfo:(params)=>{
    return http.get("/yb/product_census/user/visit_count",params)
  },
  /*
    用户阅读统计详情:
    UserId:联系人ID;ClickSort:点击量排序：1-升序 2-降序
    ProductType:产品类型：1-语音播报 2-视频社区 3-问答社区
    ProductId:产品ID：产品类型为1-语音播报时必填
    CurrentIndex,pageSize
  */
  getYbProductReadDetail:(params)=>{
    return http.get("/yb/product_census/user/visit_count_detail",params)
  },

  /**
   * 获取分产品列表
   * @param {*} params 
   * @returns 
   */
  getSubProduct: params => {
    return http.get('/custom/user/otherProductList',params)
  },
  
  /**
   * 客户区域统计
  */
  /**
   * 获取客户区域统计列表
   * @param {*} params 
   * @returns Date 当天 ProductId=1
   */
   getRegionCustom: params => {
    return http.get('/custom/customerAreaStatistics',params)
  },
   /**
   * --------开票到款统计
  */
  /**
   * 获取简易的套餐列表（用于搜索下拉框）
   * @returns 
   */
  getSimpleServiceList: () => {
    return http.get('/statistic_report/contract/service/simple')
  },
  /**
   * 获取客户合同商品到款列表
  * @param data.page_size - 每页数据量 - 必填
  * @param data.current - 页码 - 必填
  * @param data.keyword - 关键词-客户名称/销售
  * @param data.service_types - 套餐
  * @param data.start_date - 开始时间
  * @param data.end_date - 结束时间
  * @param data.time_type - 时间类型：1-开票时间; 2-到款时间
  * @param data.sort_type - desc：降序 asc：升序
  * @param data.sort_param - invoice_time：开票日 payment_date：到款日
   * @returns 
   */
  getCTContractStatistics: params => {
    return http.get('/statistic_report/census/invoice_payment/list',params)
  },
  
  // ----------------------------------------------------英文客户
  /**
   * 设置英文客户权限
   * @param {*} params 
   * @returns 
   */
  setENCustomReportVariety:params=>{
    return http.post('/english_report/company/save_permission',params)
  },

  // 获取英文客户列表
  /**
   * 
   * @param {
   * PageSize - 每页数据量 - 必填
   * CurrentIndex - 当前页数 - 必填
   * Keywords - 客户名称
   * SortType - 点击量排序方式: 1-倒序;2-正序
   * } params 
   * @returns 
   */
  getCustomListEn: params => {
    return http.get('/english_report/company/list',params)
  },
  // 新增英文客户
  /**
   * 
   * @param {
   * CompanyId - 客户ID 大于0为编辑
   * CompanyName - 客户名称 - 必填
   * CountryCode - 国家代码 - 必填
   * Country - 国家 - 必填
   * SellerId - 销售ID - 必填
   * } params 
   * @returns 
   */
  addCustomEn: (params) => {
    return http.post("/english_report/company/save", params);
  },
  // 删除英文客户
  /**
   * 
   * @param {
   * CompanyId - 客户ID
   * } params 
   * @returns 
   */
  delCustomEn: (params) => {
    return http.post("/english_report/company/del", params);
  },
  // 英文客户点击量详情
  /**
   * 
   * @param {
   * PageSize - 每页数据量 - 必填
   * CurrentIndex - 当前页数 - 必填
   * CompanyId - 客户ID - 必填
   * SortParam - 点击量排序字段 - 1-点击量;2-点击时间
   * SortType - 点击量排序方式: 1-倒序;2-正序
   * } params 
   * @returns 
   */
  customEnHitNumber: (params) => {
    return http.get("/english_report/company/view_list", params);
  },
  // 英文客户详情
  /**
   * 
   * @param {
   * CompanyId - 客户ID
   * } params 
   * @returns 
   */
  customDetailEn: (params) => {
    return http.get("/english_report/company/detail", params);
  },
  // ---------英文客户todo
  // 新建to do
  /**
   * 
   * @param {
   * CompanyId - 客户ID
   * Description - 任务描述
   * EndTime - 截止日期
   * } params 
   * @returns 
   */
  addCustomToDoEn: (params) => {
    return http.post("/english_report/company_todo/add", params);
  },
  // 编辑todo的列表
  /**
   * 
   * @param {
   * CompanyId - 客户ID - 必填
   * } params 
   * @returns 
   */
   todoEditListEn: (params) => {
    return http.get("/english_report/company_todo/edit_list", params);
  },
  // 编辑todo
  /**
   * 
   * @param {
   * Id - 任务Id - 必填
   * CompanyId - 客户ID - 必填
   * Description - 任务描述 - 必填
   * } params 
   * @returns 
   */
   editCustomToDoEn: (params) => {
    return http.post("/english_report/company_todo/edit", params);
  },
  // 完成todo
  /**
   * 
   * @param {
   * Id - 任务Id - 必填
   * } params 
   * @returns 
   */
   finishCustomToDoEn: (params) => {
    return http.post("/english_report/company_todo/approve", params);
  },
  // to do历史记录
  /**
   * @param {
   * PageSize - 每页数据量 - 必填
   * CurrentIndex - 当前页数 - 必填
   * CompanyId - 客户ID
   * SortType - 点击量排序方式: 1-倒序;2-正序
   * } params 
   * @returns 
   */
  getTodoListEn: (params) => {
    return http.get("/english_report/company_todo/list", params);
  },
  //----------------------------英文联系人列表
  /**
   * @param {
   * PageSize - 每页数据量 - 必填
   * CurrentIndex - 当前页数 - 必填
   * CompanyId - 客户ID
   * Keywords - 搜索关键词，客户名称/邮箱
   * SortType - 点击量排序方式: 1-倒序;2-正序
   * } params 
   * @returns 
   */
  getContactsListEn: (params) => {
    return http.get("/english_report/email/list", params);
  },
  // 保存联系人 新增/编辑
  /**
   * 
   * @param {
   * Id - 联系人ID，大于0为编辑
   * CompanyId - 客户Id
   * Name - 联系人名称
   * Email - 邮箱地址
   * } params 
   * @returns 
   */
  contactsSaveEn: (params) => {
    return http.post("/english_report/email/save", params);
  },
  // 移动联系人
  /**
   * 
   * @param {
  * EmailId - 邮箱ID
  * CompanyId - 客户Id
  * } params 
  * @returns 
  */
  contactsMoveEn: (params) => {
    return http.post("/english_report/email/moveToCurrent", params);
  },
  // 英文联系人批量导入
  /**
   * 
   * @param { formData
   * File - Excel文件
   * CompanyId - 客户ID
   * } params 
   * @returns 
   */
  importContactsEn: (params) => {
    return http.post("/english_report/email/import", params);
  },
  // 删除英文联系人
  /**
   * 
   * @param {
   * EmailId - 联系人Id
   * } params 
   * @returns 
   */
  delContactsEn: (params) => {
    return http.post("/english_report/email/del", params);
  },
  //启用禁用英文联系人
  /**
   * 
   * @param {*
   *  EmailId
   *  Enabled
   * } params 
   * @returns 
   */
  editEnabledEn:(params)=>{
    return http.post('/english_report/email/editEnabled',params)
  },
  //批量启用，禁用英文联系人
    /**
   * 
   * @param {*
     *  CompanyId
     *  Enabled
     * } params 
     * @returns 
     */
  editEnabledAll:(params)=>{
    return http.post('/english_report/company/edit_enabled',params)
  },
  // 英文联系人点击量详情
  /**
   * 
   * @param {
   * PageSize - 每页数据量 - 必填
   * CurrentIndex - 当前页数 - 必填
   * EmailId - 联系人ID - 必填
   * SortParam - 点击量排序字段 - 1-点击量;2-点击时间
   * SortType - 点击量排序方式: 1-倒序;2-正序
   * } params 
   * @returns 
   */
  contactsEnHitNumber: (params) => {
    return http.get("/english_report/email/view_list", params);
  },
  //英文客户-未完成todo统计
  /**
   * 
   * @param {
     * PageSize - 每页数据量
     * CurrentIndex - 当前页数
     * SortType - 截止日期排序方式: 1-正序; 2-倒序
     * } params 
     * @returns 
     */
  getUnDoList:(params)=>{
    return http.get("/english_report/company_todo/doing_list",params)
  },
  //英文客户-获取to-do编辑框信息
  getToDoEditData:(params)=>{
    return http.get("/english_report/company_todo/last_public_todo",params)
  },
  //英文客户-新增to-do编辑框信息
  /**
   * 
   * @param {* Description 任务描述} params 
   * @returns 
   */
  saveToDoEditData:(params)=>{
    return http.post("/english_report/company_todo/add_public",params)
  }
  
};

/*
权益联系人列表模块
*/
const equityContacts = {
  //状态搜索栏接口
  getUserStatusTable: (params) => {
    return http.get("/cygx/user/status/table", params);
  },
  // 用户列表接口
  getCygxContactsList: (params) => {
    return http.get("/cygx/user/list", params);
  },
  //备注列表接口
  getCygxRemarkList: (params) => {
    return http.get("/cygx/user/remark/list", params);
  },
  // 新增备注
  getCygxAddRemarks: (params) => {
    return http.post("/cygx/user/addRemarks", params);
  },
  //获取用户标签详情接口
  getCygxLabelDetail: (params) => {
    return http.get("/cygx/user/label/detail", params);
  },
  //产业、标的模糊查询接口
  industrialManagementSearch: (params) => {
    return http.get("/cygx/industrialManagement/search", params);
  },
  //互动详情table栏接口
  getCygxMutualList: (params) => {
    return http.get("/cygx/user/table/list", params);
  },
  //互动详情table栏接口
  getCygxMutualDetail: (params) => {
    return http.get("/cygx/user/interaction/detail", params);
  },
  //用户相关互动接口
  getInteractionRelevant: (params) => {
    return http.get("/cygx/user/interaction/relevant", params);
  },
  //机构状态搜索栏互助
  getInteractionNum: (params) => {
    return http.get("/cygx/user/interactionNum", params);
  },
  //机构互动详情table栏接口
  getCompanyTableList: (params) => {
    return http.get("/cygx/user/company/table/list", params);
  },
  //机构互动详情table栏接口
  getCompanyInteractionDetail: (params) => {
    return http.get("/cygx/user/company/interaction/detail", params);
  },
  //添加/取消用户提醒
  postUserRemind: (params) => {
    return http.post("/cygx/user/remind", params);
  },
  //全机构互动列表接口
  getUserCompanyList: (params) => {
    return http.get("cygx/user/company/list", params);
  },
  //机构列表互动详情table栏接口
  getUserTableCompanyList: (params) => {
    return http.get("/cygx/user/table/companyList", params);
  },
};

/*
crm12.4 ETA试用列表模块
 */
const etaTrialInterence={
 /**ETA试用客户列表
  * PageSize,CurrentIndex,KeyWord
  * SortParam
  * SortType : asc正序 desc倒序
  */
  getETATrialList:(params)=>{
    return http.get('/eta_trial/list',params)
  },
 /**非管理员-我的审批列表
  * 
  */
  getApprovalAllList:(params)=>{
    return http.get('/eta_trial/apply/myList',params)
  },
 /**非管理员-账号列表
  * 
  */
  getApprovalList:(params)=>{
    return http.get('/eta_trial/apply/accountlist',params)
  },
 /**非管理员-删除申请
  * ApprovalId
  */
  deleteApproval:(params)=>{
    return http.post('/eta_trial/apply/del',params)
  },
 /**非管理员-撤回申请
  * Mobile
  */
  withdrawApproval:(params)=>{
    return http.post('/eta_trial/apply/revoke',params)
  },
 /**非管理员-申请启用
  * UserName,CompanyName,Position,Mobile
  * ApplyReasons 申请理由
  */
  applyEnable:(params)=>{
    return http.post('/eta_trial/apply/enable',params)
  },
 /**非管理员-新增申请
  * List[]
  * List[].UserName 姓名
  * List[].CompanyName 公司名称
  * List[].Position 职位
  * List[].Mobile 手机号
  */
  addApproval:(params)=>{
    return http.post('/eta_trial/add',params)
  },
 /**管理员-审批列表
  * ApprovalStatus 
  */
  getAdminApprovalList:(params)=>{
    return http.get('/eta_trial/apply/list',params)
  },
 /**管理员-同意申请
  * ApprovalId
  */
  agreeApply:(params)=>{
    return http.post('/eta_trial/apply/approval',params)
  },
 /**管理员-驳回申请
  * ApprovalId
  * RejectReason
  */
  rejectApply:(params)=>{
    return http.post('/eta_trial/apply/reject',params)
  },
  // -------------ETA试用 1.1
  // 问卷调查
  /**统计结果列表
  * ListParam 1-全部 2-选择题 3-简答题
  */
  getQuestionDataList:(params)=>{
    return http.get('/eta_trial/questionnaire/statistical',params)
  },
  /**简答题详情列表
  * CurrentIndex PageSize QuestionnaireId
  */
  getTextDetailList:(params)=>{
    return http.get('/eta_trial/questionnaire/answerList',params)
  },
  /**详细数据列表
  * PageSize CurrentIndex
  */
  getDetailDataList:(params)=>{
    return http.get('/eta_trial/questionnaire/detailList',params)
  },
  /**详细数据 - 详情
  * Mobile
  */
  getDetailDataDetail:(params)=>{
    return http.get('/eta_trial/questionnaire/detail',params)
  },
  /**问卷列表
  */
  getQuestionOptionList:()=>{
    return http.get('/eta_trial/questionnaire/list')
  },
   /**保存题目配置
  * List - 题目列表
  */
  questionOptionSave:(params)=>{
    return http.post('/eta_trial/questionnaire/save',params)
  },
  /**删除题目
  * QuestionnaireId - 题目Id
  */
  questionOptionDelete:(params)=>{
    return http.post('/eta_trial/questionnaire/del',params)
  },
}

/* 全量客户相关 */
const customAllInterence = {
    //客户列表
    customList:(params)=>{
        return http.get("/custom/full/list",params)
    },
    //客户详情
    customDetail:(params)=>{
        return http.get("/custom/full/detail", params);
    },
    //查看权限
    lookauth: (params) => {
        return http.get("/custom/full/permission/look", params);
    },
}

export { customInterence,customAllInterence, equityContacts,etaTrialInterence};
